import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import PerplexityLogoLight from './PerplexityLogoLight';
import PerplexityLogoDark from './PerplexityLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const PerplexityLogoSvg = forwardRef(function PerplexityLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(PerplexityLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(PerplexityLogoLight, Object.assign({}, props, { ref: ref })));
});
export default PerplexityLogoSvg;
